Bug 172349 - disklessrc should use tmpfs if no snapshot nfs server
disklessrc should use tmpfs if no snapshot nfs server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-03 00:58 EST by Andrew Bartlett
Modified: 2009-07-14 13:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2005-11-03 00:58:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The disklessrc script, placed in the initrd on for the diskless clients assumes that there is a read-write NFS server for it's use.

In my environemnt this is not desired (I don't trust students), so I would like a mount failure on .snapshot to fallback to a tmpfs mount on the same point.

I don't want any persistant client state anyway...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Standard diskless client setup
2. Disable read/write NFS export for 'snapshot'
3. Early booup messages indicate it isn't happy: resolv.conf on r/o filesystem etc
  

Actual Results:  Failiure to find an alternate location to write to

Expected Results:  Write to local memory

Additional info:
Comment 1 Christian Iseli 2007-01-22 05:24:25 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Andrew Bartlett 2007-07-24 21:21:52 EDT
I no longer have access to the diskless trial setup at the college, so sadly I
can't easily look into this for current releases. 
Comment 3 Radek Brich 2007-10-17 10:40:15 EDT
this feature is still not there thought it should be possible and not very hard
to implement

moving to devel so it won't lost
Comment 4 Ondrej Valousek 2007-12-05 13:06:41 EST
This issue is closely related to the bug/feature request #406711 - I think the
best solution (or proposed solution) would be to improve format of files and
files.custom files in the the snapshot directory to contain the source device as
well (ala fstab). For example:
/tmp            tmpfs
/var/log        nfs
/dev            tmpfs
Or something like this.
Comment 5 Bug Zapper 2008-04-03 12:36:27 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Andrew Bartlett 2008-04-07 21:59:52 EDT
Writing an inane comment so the bot doesn't close this.
Comment 7 Bug Zapper 2008-05-13 22:03:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 18:04:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:03:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.